from collections import namedtuple

Contract = namedtuple(
    "Contract",
    [
        "token",
        "proof",
        "meta",
        "attachment",
        "network",
    ],
)

Options = namedtuple(
    "Options",
    [
        "auth_db_path",
        "auth_keyfile_path",
        "auth_passphrase",
        "contract_registry",
        "key_account",
        "chain_spec",
        "rpc_provider",
        "metadata_endpoint",
        "wallet_keyfile",
        "wallet_passphrase",
    ],
)